@echo off
PUSHD %~dp0
TITLE 翻墙软件光盘单页面版ISO镜像制作程序 
SetLocal EnableDelayedExpansion EnableExtensions
ver|find /i " 5." >nul&&goto gotAdmin
bcdedit|find /i "Windows Boot Manager" > nul || goto UACPrompt
goto gotAdmin
:UACPrompt
echo Set UAC = CreateObject^("Shell.Application"^) > "%temp%\getadmin.vbs"
echo UAC.ShellExecute "%~s0", "", "", "runas", 1 >> "%temp%\getadmin.vbs"
"%temp%\getadmin.vbs"
exit /B
:gotAdmin
if exist "%temp%\getadmin.vbs" ( del /f /q "%temp%\getadmin.vbs" )
pushd "%CD%"
cd /d "%~dp0"
::--------------------------------------
set "bit=x86"
if exist "%systemroot%\Syswow64" if /i not %PROCESSOR_IDENTIFIER:~0,3%==x86 (
    set "bit=x64"
)
if "%PROCESSOR_ARCHITEW6432%"=="AMD64" (
    set "reg64= /reg:64"
    set "strpath=%SystemRoot%\sysnative"
) else (
    set "reg64="
    set "strpath=%SystemRoot%\system32"
)
cls
echo.
echo   正在更新翻墙软件...
echo.
rd /s /q ..\soft\utmp >nul 2>nul
FOR /F "delims=" %%I IN ('dir /a /b xUltraISO.exe') DO set fan=%%~fI
if exist fg*p.exe move /y fg*p.exe ..\soft\fg.exe
if exist u*.exe move /y u*.exe ..\soft\u.exe
if exist fgwm*.exe move /y fgwm*.exe ..\soft\fgm\fgwm.exe
if exist fgma*.apk move /y fgma*.apk ..\soft\fgm\fgma.apk
if exist um*.apk move /y um*.apk ..\soft\um\um.apk
if exist Green*.exe move /y Green*.exe ..\soft\爱博电视(PC版)\GreeniPPOTV_Setup.exe
if exist iNTD*.apk move /y iNTD*.apk ..\soft\爱博新唐人iNTDTV(安卓版)\iNTD_TV.apk
if exist uf*.xpi move /y uf*.xpi ..\soft\无界火狐扩展\uf.xpi
if exist u move /y u ..\soft\无界浏览LinuxVPN\u
if exist um.png move /y um.png ..\soft\翻墙软件二维码\无界一点通二维码(安卓版).png
if exist qr_fgma.png move /y qr_fgma.png ..\soft\翻墙软件二维码\自由门二维码(安卓版).png
if exist qr_fgp.png move /y qr_fgp.png ..\soft\翻墙软件二维码\自由门二维码(电脑版).png
if exist u.png move /y u.png ..\soft\翻墙软件二维码\无界浏览二维码(电脑版).png
echo.
echo   正在更新htm文件...
echo.
if exist freegate.htm move /y freegate.htm ..\fg-help\freegate.htm
if exist u.htm move /y u.htm ..\u-help\u.htm
if exist keep-way.html move /y keep-way.html ..\keepway\keep-way.html
if exist emule.html move /y emule.html ..\emule\emule.html
if exist bbs.html move /y bbs.html ..\bbs\bbs.html
if exist ippotv.html move /y ippotv.html ..\ippotv\ippotv.html
if exist phone-down.html move /y phone-down.html ..\phone\phone-down.html
if exist phone-readme.html move /y phone-readme.html ..\phone\phone-readme.html
if exist 本光盘说明.htm move /y 本光盘说明.htm ..\本光盘说明.htm
if exist 关于我们.htm move /y 关于我们.htm ..\关于我们.htm
echo.
echo   正在制作ISO镜像 请稍候...
echo.
if exist ..\FanQiang_Dan_V3.ISO del /q /f ..\FanQiang_Dan_V3.ISO
::---------------------------------------------------------   
::            UltraISO软件调用到的参数说明
::-imax       使用ISO 9660-MAX文件名（长度最多支持207个字符）
::-optimize   优化档案编码相同的文件只存储一次
::-l          允许小写字母
::-volu       设置卷标
::-d          添加所有文件和文件夹
::-out        输出ISO镜像
::---------------------------------------------------------
"%fan%" -imax -optimize -l -volu FanQiang -d ..\. -out "..\FanQiang_Dan_V3.ISO"
echo.
echo.
echo   FanQiang_Dan_V3.ISO光盘镜像制作完毕，请严格测试后再行刻录
echo.
echo.
echo   按任意键退出...
pause >NUL
exit